<?php

namespace Bydedi\Avalara\Model;

class Product{

    /** @var string */
    protected $identifier;

    /** @var int */
    protected $priceHt;

    /** @var int */
    protected $quantity;

    /** @var string */
    protected $taxCode;

    /**
     * @return string
     */
    public function getIdentifier()
    {
        return $this->identifier;
    }

    /**
     * @param $identifier
     * @return $this
     */
    public function setIdentifier($identifier)
    {
        $this->identifier = $identifier;
        return $this;
    }

    /**
     * @return int
     */
    public function getPriceHt()
    {
        return $this->priceHt;
    }

    /**
     * @param $priceHt
     * @return $this
     */
    public function setPriceHt($priceHt)
    {
        $this->priceHt = $priceHt;
        return $this;
    }

    /**
     * @return int
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     * @param $quantity
     * @return $this
     */
    public function setQuantity($quantity)
    {
        $this->quantity = $quantity;
        return $this;
    }

    /**
     * @return string
     */
    public function getTaxCode()
    {
        return $this->taxCode;
    }

    /**
     * @param $taxCode
     * @return $this
     */
    public function setTaxCode($taxCode)
    {
        $this->taxCode = $taxCode;
        return $this;
    }
}